<?php declare(strict_types=1);
use PHPUnit\Framework\TestCase;
use MMK2410\MyTodoList\Email;

final class EmailTest extends TestCase
{
    private $email = 'user@example.com';

    public function testCanBeCreatedFromValidEmailAddress(): void {
        $this->assertInstanceOf(
            Email::class,
            Email::fromString($this->email)
        );
    }

    public function testCannotBeCreatedFromInvalidEmailAddress(): void {
        $this->expectException(InvalidArgumentException::class);
        Email::fromString('invalid');
    }

    public function testCanBeUsedAsString(): void {
        $this->assertEquals(
            $this->email,
            Email::fromString($this->email)
        );
    }
}
